persp-methods {copula} | R Documentation

## Methods for Function ‘persp’ in Package ‘copula’

### Description

Methods for function `persp` to draw perspective plots (of two dimensional distributions from package copula).

### Usage

    ## S4 method for signature 'Copula'
    persp(x, FUN, n.grid = 26, delta = 0,
          xlab = "u1", ylab = "u2",
          zlab = deparse(substitute(FUN))[1],
          theta = -30, phi = 30, expand = 0.618,
          ticktype = "detail", ...)
    ## S4 method for signature 'mvdc'
    persp(x, FUN, xlim, ylim, n.grid = 26,
          xlab = "x1", ylab = "x2", zlab = deparse(substitute(FUN))[1],
          theta = -30, phi = 30, expand = 0.618,
          ticktype = "detail", ...)

### Arguments

`x` | a `"Copula"` or a `"mvdc"` object.
`FUN` | the `function` to be plotted; typically `dCopula` or `pCopula`.
`n.grid` | the number of grid points used in each dimension. This can be a vector of length two, giving the number of grid points used in x- and y-direction, respectively; the function `FUN` will be evaluated on the corresponding (x,y)-grid.
`delta` | A small number in [0, 1/2) influencing the evaluation boundaries. The x- and y- vectors will have the range `[0+delta, 1-delta]`, the default being `[0,1]`.
`xlim, ylim` | The `range` of the x and y variables, respectively.
`xlab, ylab, zlab, theta, phi, expand, ticktype, ...` | Arguments for (the default method of) `persp()`, the ones enumerated here all with different defaults than there.

### Value

`invisible`; a list with the following components:

`x, y` | The numeric vectors, as passed to `persp.default`.
`z` | The matrix of evaluated `FUN` values on the grid as passed to `persp.default`.
`persp` | the 4 x 4 transformation matrix returned by `persp.default`.

### Methods

Perspective plots for both `"copula"` or `"mvdc"` objects, see `x` in the Arguments section.

### See Also

The `contour-methods` for drawing contour lines of the same functions.

### Examples

    persp(frankCopula(-0.8), dCopula)
    persp(claytonCopula(2),  pCopula, main = "CDF of claytonCopula(2)")
    ## An example with negative tau:
    (th1 <- iTau(amhCopula(), -0.1))
    persp(amhCopula(th1), dCopula)
    persp(amhCopula(th1), pCopula, ticktype = "simple") # no axis ticks

    mvNN <- mvdc(gumbelCopula(3), c("norm", "norm"),
              list(list(mean = 0, sd = 1), list(mean = 1)))
    persp(mvNN, dMvdc, xlim=c(-2, 2), ylim=c(-1, 3), main = "Density")
    persp(mvNN, pMvdc, xlim=c(-2, 2), ylim=c(-1, 3), main = "Cumulative Distr.")

[Package copula version 0.999-15 Index]